Skip to content

Request transaction matching

POST
/v1/transaction-match

Submit transaction details for a single transaction to find a matching receipt when a PAR is not available. Each request matches one transaction — for ongoing automatic delivery, use a PAR subscription instead. Supply as many fields as possible — the more provided, the more accurate the match.

object
reference
required

Freeform reference used for correlation in client system

string
<= 50 characters
Example
CUST-134422
paymentActivityDateTime
required

Date and time of the payment activity.

string format: date-time
Example
2025-08-25T08:57:37+00:00
transaction
required
object
paymentAccountReference
One of:

Payment Account Reference (PAR) is 29 characters long. The first four positions of the PAR contain the BIN Controller Identifier. See: https://www.emvco.com/registered-ids

string
>= 29 characters <= 29 characters
Example
12345678912345678912345678912
retrievalReferenceNumber

RRN (ISO 8583 DE37). Preserve leading zeros.

string | null
Example
123456789012
acquirerReferenceNumber

Acquirer Reference Number (ARN).

string | null
systemTraceAuditNumber

STAN, 6 digits.

string | null
<= 6 characters
Example
123456
transactionId

Transaction ID from bank, gateway, or store system.

string | null
lastFour

Last four digits of the payment card.

string | null
>= 4 characters <= 4 characters
Example
1234
approvalCode

Approval code (AUTH).

string | null
Example
ABC123
terminalId

Terminal ID.

string | null
terminalSlip

Terminal slip from the processor.

string | null
amountPaid
required
Money

Monetary amount in a specific currency.

object
amount
required

Amount of money, represented as a number with optional fractional part.

number format: decimal
Example
19.99
currency
required
Currency

ISO 4217 three-letter currency code.

string
>= 3 characters <= 3 characters /^[A-Z]{3}$/
Example
USD

Transaction matching request received

Bad or malformed request

RFC 9457 problem details object.

object
type

A URI reference that identifies the problem type.

string format: uri
default: about:blank
title

Short, human-readable summary of the problem type.

string
status

HTTP status code for this occurrence of the problem.

integer format: int32
>= 100 <= 599
detail

Human-readable explanation specific to this occurrence.

string
instance

A URI reference that identifies the specific occurrence.

string format: uri

Unauthorized

RFC 9457 problem details object.

object
type

A URI reference that identifies the problem type.

string format: uri
default: about:blank
title

Short, human-readable summary of the problem type.

string
status

HTTP status code for this occurrence of the problem.

integer format: int32
>= 100 <= 599
detail

Human-readable explanation specific to this occurrence.

string
instance

A URI reference that identifies the specific occurrence.

string format: uri

Forbidden

RFC 9457 problem details object.

object
type

A URI reference that identifies the problem type.

string format: uri
default: about:blank
title

Short, human-readable summary of the problem type.

string
status

HTTP status code for this occurrence of the problem.

integer format: int32
>= 100 <= 599
detail

Human-readable explanation specific to this occurrence.

string
instance

A URI reference that identifies the specific occurrence.

string format: uri